# $Revision: 1.14 $, $Date: 2001/09/18 17:44:55 $
%include	/usr/lib/rpm/macros.perl
Summary:	cdlabelgen - generates frontcards and traycards for CDs
Summary(pl):	Program do generowania wkadek do pudeek na pyty CD
Name:		cdlabelgen
Version:	1.5.0
Release:	5
License:	GPL
Vendor:		B. W. Fitzpatrick <fitz@red-bean.com>
Group:		Applications/Text
Group(de):	Applikationen/Text
Group(pl):	Aplikacje/Tekst
Source0:	http://www.red-bean.com/~bwf/software/cdlabelgen/%{name}-%{version}.tar.gz
Patch0:		%{name}-hpdj.patch
URL:		http://www.red-bean.com/~bwf/software/cdlabelgen/
BuildRequires:	perl-devel >= 5.6.1
Requires:	perl >= 5.003
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%description
This is BETA software! Please be gentle. cdlabelgen was designed to
simplify the process of generating labels for CD's. It originated as a
program to allow auto generation of frontcards and traycards for CD's
burned via an automated mechanism (specifically for archiving data).
Note that cdlabelgen does not actually print anything--it just spits
out postscript, which you can then do with as you please.

%description -l pl
Program ten jest w fazie beta! Prosimy o wyrozumiao. Cdlabelgen
napisano w celu uproszczenia procesu tworzenia etykiet na CD. Powsta
jako projekt, ktry mia pomc w automatycznej generacji wkadek do
pudeek na wypalane pyty CD (zwaszcza przy archiwizacji danych).
Nalezy zwrci uwag, e cdlabelgen sam w sobie nic nie drukuje,
tworzy jedynie plik postscriptowy, ktry mona samemu wydrukowa.

%prep
%setup -q
%patch0 -p1

%build
pod2man --section=1 cdlabelgen > cdlabelgen.1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_datadir}}

%{__make} install \
	BASE_DIR=$RPM_BUILD_ROOT%{_prefix}

install cdlabelgen.1 $RPM_BUILD_ROOT%{_mandir}/man1

gzip -9nf ChangeLog README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {ChangeLog,README}.gz
%attr(755,root,root) %{_bindir}/cdlabelgen
%{_mandir}/man1/cdlabelgen.1.gz
%{_datadir}/cdlabelgen

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cdlabelgen.spec,v $
Revision 1.14  2001/09/18 17:44:55  kloczek
- spec adapterized,
- added perl-devel to BuildRequires.

Revision 1.13  2001/09/18 15:20:10  rrw
- added workaround for broken HP DJ printers which cannot print full A4 page
  (the bottom of the page is silently cut);
- release 5;

Revision 1.12  2001/07/28 15:01:30  migo
- added Summary(pl) and missing '-l pl'

Revision 1.11  2001/04/17 12:04:13  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.10  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/31 20:19:57  kloczek
- release 3.

Revision 1.8  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.7  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.6  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 11:10:58  arturs
typo

Revision 1.4  2000/03/25 21:31:11  arturs
- added %description -l pl

Revision 1.3  2000/03/01 08:11:59  kloczek
- release 2,
- spec adapterized,
- more rpm macros.

Revision 1.2  2000/02/29 22:47:22  wiget
- include perl macros

Revision 1.1  1999/10/27 13:47:10  baggins
- first version for PLD

* Tue Mar 23 1999 Ryan Weaver <ryanw@infohwy.com>
  [cdlabelgen-0.70-1]
- Initial RPM Build.
